summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Stransky <stransky@fedoraproject.org>2007-07-31 10:52:57 +0000
committerMartin Stransky <stransky@fedoraproject.org>2007-07-31 10:52:57 +0000
commit5c17d24eb06163d5f8e09b30f6a856a56a5ea575 (patch)
tree1aa5600b55a9f249a794759729b1558b1dbbf151
parentadded nspluginwrapper support (diff)
downloadlibrewolf-fedora-ff-5c17d24eb06163d5f8e09b30f6a856a56a5ea575.tar.gz
librewolf-fedora-ff-5c17d24eb06163d5f8e09b30f6a856a56a5ea575.tar.bz2
librewolf-fedora-ff-5c17d24eb06163d5f8e09b30f6a856a56a5ea575.zip
added config script
-rw-r--r--firefox-plugin-config.sh.in63
1 files changed, 63 insertions, 0 deletions
diff --git a/firefox-plugin-config.sh.in b/firefox-plugin-config.sh.in
new file mode 100644
index 0000000..d75f87b
--- /dev/null
+++ b/firefox-plugin-config.sh.in
@@ -0,0 +1,63 @@
+#!/bin/sh
+#
+# The contents of this file are subject to the Netscape Public
+# License Version 1.1 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.mozilla.org/NPL/
+#
+# Software distributed under the License is distributed on an "AS
+# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# rights and limitations under the License.
+#
+# The Original Code is mozilla.org code.
+#
+# The Initial Developer of the Original Code is Netscape
+# Communications Corporation. Portions created by Netscape are
+# Copyright (C) 1998 Netscape Communications Corporation. All
+# Rights Reserved.
+#
+# Contributor(s):
+#
+
+##
+## Usage:
+##
+## $ mozilla-plugin-config
+##
+## This script is meant to configure plugins from the mozilla
+## rpm installation.
+##
+## The script will setup all the plugin voodoo needed to make
+## mozilla work.
+
+##
+## Variables
+##
+MOZ_ARCH=$(uname -m)
+case $MOZ_ARCH in
+ x86_64 | ia64 | s390 )
+ MOZ_LIB_DIR="/usr/lib64"
+ SECONDARY_LIB_DIR="/usr/lib"
+ ;;
+ * )
+ MOZ_LIB_DIR="/usr/lib"
+ SECONDARY_LIB_DIR="/usr/lib64"
+ ;;
+esac
+
+if [ ! -x $MOZ_LIB_DIR/firefox-FIREFOX_VERSION/firefox-bin ]; then
+ if [ ! -x $SECONDARY_LIB_DIR/firefox-FIREFOX_VERSION/firefox-bin ]; then
+ echo "Error: $MOZ_LIB_DIR/firefox-FIREFOX_VERSION/firefox-bin not found"
+ if [ -d $SECONDARY_LIB_DIR ]; then
+ echo " $SECONDARY_LIB_DIR/firefox-FIREFOX_VERSION/firefox-bin not found"
+ fi
+ exit 1
+ fi
+ MOZ_LIB_DIR="$SECONDARY_LIB_DIR"
+fi
+MOZ_DIST_BIN="$MOZ_LIB_DIR/firefox-FIREFOX_VERSION"
+
+# Set-up installed plugins
+$MOZ_DIST_BIN/plugin-configuration -c -f -q > /dev/null 2>&1
+
bgstack15